Bug 74304 - Will not boot into GDM for some DNS Hostnames after changed using neat.
Will not boot into GDM for some DNS Hostnames after changed using neat.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: net-tools (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-19 20:59 EDT by dfladebo
Modified: 2015-03-04 20:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-27 10:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dfladebo 2002-09-19 20:59:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
Red Hat v7.3 Professional will not boot into GDM after specifying some DNS
Hostnames using neat.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start neat in RH v7.3
2.Change the DNS hostname to home-linux
3.Reboot



Actual Results:  Red Hat v7.3 Professional will not boot into GDM after
specifying some DNS Hostnames using neat, eg:

- home-linux (Fail)
- home-linux.mshome.net (Fail)
- home-vpr-tux (Fail)
- home-vpr-tux.mshome.net (Fail)
- home-vpr-linux (Fail)
- home-vpr-linux.mshome.net (Fail)

- home-tux (OK)
- home-tux.mshome.net (OK)


Expected Results:  The system should boot into GDM as normal for my setup.

Additional info:
Comment 1 dfladebo 2002-09-27 10:42:30 EDT
Ok, I believe this has something to do with my local network setup and the 
fact that I did not setup the machine names that wouldn't work (eg: home-linux 
as in the original report) as an alias in /etc/hosts.

I have XP Pro. handing out the DHCP leases to the local network machines, of 
which the RH box is one. The reasons for this are long and varied, but it has 
to do with the setup for my ISP and the fact that their proprietary "modem" 
software runs only on Windows.

Apparently when the original lease first expired for "home-tux" (there appears 
to be no way built into the XP "home-networking" stuff to control this), RH 
would no longer boot into GDM because it (GDM) couldn't properly use DNS to 
resolve the host name or something else odd like that.

Anyhow, what I did to resolve this problem was edit the /etc/hosts 127.0.0.1 
aliases entry to make sure that whatever I give the machine as a hostname is 
also an alias as well.

I believe that it would be very helpful for non-network engineering types like 
me if neat would offer to modify the 127.0.0.1 aliases entry in the /etc/hosts 
file "automagically" when the hostname was changed on the DNS tab. Actually, 
that may be a great feature to add for network engineering types as well 
because from what I understand, even if you have a network and DHCP server 
that works really well, it may be a good practice to add the host name to the 
127.0.0.1 aliases entry anyway for software that relies on hosts (?)

Thanks for your patience with a newbie.

Dave Fladebo
Comment 2 Phil Knirsch 2002-09-27 10:49:21 EDT
OK, thanks for your report. We'll take you suggestions into consideration for
future releases and versions of the tools.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.